#!/bin/bash
OXYGEN=/mnt/c/Program\ Files/Oxygen\ XML\ Author\ 21
PLG=/mnt/c/Program\ Files/Oxygen\ XML\ Author\ 21/frameworks/dita/DITA-OT3.x/plugins

rm -rf ./css_core ./css_print ./css_webhelp ./css_editlink
cp -R "${OXYGEN}/frameworks/dita/css/core/" ./css_core
cp -R "${OXYGEN}/frameworks/dita/css/print/" ./css_print
cp -R "${PLG}/com.oxygenxml.webhelp.responsive/oxygen-webhelp/app/" ./css_webhelp
cp -R "${PLG}/com.oxygenxml.editlink/" ./css_editlink

sed -i 's!@import "-web-author.css";!!' ./css_core/-dita.css
rm ./css_webhelp/core/expand.css
rm ./css_webhelp/core/webhelp.css
rm ./css_webhelp/indexterms/indexterms.css
rm ./css_webhelp/nav-links/nav-links.css
rm ./css_webhelp/nav-links/tooltip.css
./comment_stuff.pl css_*/*.css css_*/*/*.css

